"use strict";


var https = require('https');

function _apiRequest(pathname, callback){
    https.get({
        host: 'api.github.com',
        path: pathname,
        method: 'GET',
        headers: {
            'User-Agent': "apeman CLI"
        }
    }, (res) => {
        // Continuously update stream with data
        let body = '';
        res.on('data', (d) => {
            body += d;
        });
        res.on('end', () => {
            callback(null, res, body);
        });
    });
}

module.exports = _apiRequest;