/**
 * @function searchType
 */
"use strict";

const listOrgRepo = require('../github/list_org_repo');

/** @lends searchType */
function searchType(type, callback) {
    if (type.org) {
        listOrgRepo(type.org, callback);
    } else{
        callback(new Error('Unknown type: ' + JSON.stringify(type)));
    }
}

module.exports = searchType;
